Bug 180461 - system-config-display errors on my xorg.conf
system-config-display errors on my xorg.conf
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
4
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-08 04:05 EST by Stefan Geuns
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 14:06:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
The xorg.conf on which system-config-display crashes (3.59 KB, text/plain)
2006-02-08 04:07 EST, Stefan Geuns
no flags Details

  None (edit)
Description Stefan Geuns 2006-02-08 04:05:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.5; Linux 2.6.11-1.1369_FC4; X11; i686) KHTML/3.5.0 (like Gecko)

Description of problem:
If I open system-config-display, it gives he following error: 
Traceback (most recent call last): 
  File "/usr/share/system-config-display/xconf.py", line 381, in ? 
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, 
rhpl.videocard.VideoCardInfo()) 
  File "/usr/share/system-config-display/xConfigDialog.py", line 571, in 
__init__ 
    
self.xml.get_widget("secondMonitorLabel").set_text(monitor_list[1].modelname) 
TypeError: GtkLabel.set_text() argument 1 must be string, not None 
 

Version-Release number of selected component (if applicable):
system-config-display-1.0.29-1

How reproducible:
Always

Steps to Reproduce:
1. Start system-config-display 
2. 
3. 
   

Actual Results:  It gives the error above. 

Expected Results:  system-config-display should have started, if it doesn't recognize something 
in xorg.xonf it should give a warning, not a crash.  

Additional info:
Comment 1 Stefan Geuns 2006-02-08 04:07:56 EST
Created attachment 124361 [details]
The xorg.conf on which system-config-display crashes

xorg.conf modified by aticonfig for usage with their driver for my x300 mobile.
Comment 2 Christian Iseli 2007-01-22 06:39:01 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Adam Jackson 2007-04-03 14:06:21 EDT
NEEDINFO timeout, resolving as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.